We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Unable to Load PPTX: Specified Argument Was Out of the Range of Valid Values

Hello,

We receive an error when attempting to load a PPTX.

content file: sample (4.1 MB)
error message: “Specified argument was out of the range of valid values. Parameter name: level must be >= 0”
stack trace: “… ppt = New Aspose.Slides.Presentation(file)”
code: …

Dim ppt As Aspose.Slides.Presentation = Nothing
Dim file As String = Path.Combine(oFile.FilePath, fileContent.FileName)
ppt = New Aspose.Slides.Presentation(file)

Do you have any suggestions on how we can resolve this issue?

Thank you!

@kmanol,
Thank you for contacting support.

Unfortunately, I was unable to reproduce the error you described. It looks like you use old version of Aspose.Slides. Please check the problem using the latest version if it is possible. If the issue persists, please share the following data:

  • simple project that reproduces the error
  • OS version on which the error occured
  • .NET target platform in your app
  • Aspose.Slides version you used

@Andrey_Potapov,

OS version: Windows 10 Pro (Version: 21H1, OS build: 19043.1526)
Target framework: .NET Framework 4.7.1
Aspose.Slides version: 19.8.0.0

Thank you for the response. I have downloaded and updated to the latest version of Aspose.Slides (19.8 to 22.2), but then receive the following error message when debugging …

The subscription included in this license allows free upgrades until 30 Aug 2020, but this version of the product was released on 14 Feb 2022. Please renew the subscription or use a previous version of the product.

Is there a workaround just to test whether the latest version would resolve this issue?

@kmanol,
I’ve tested and confirm that the error occurs with Aspose.Slides 19.8. We apologize for any inconvenience. The issue has been fixed in newer versions.

You can use any version of Aspose.Slides without licenses to evaluate them. To renew your license, you should post to Aspose.Purchase forum.

@Andrey_Potapov

Thank you for your response!

Our client has requested an explanation of the issue. Can you provide any information to this end?
Also, they are unwilling to take an upgrade and so would like to know whether any workaround exists for the old 19.8 version?

@kmanol,
Unfortunately, I have no information about the cause of the error you encountered. The issue was not registered because the problem disappeared in new versions. Since loading the presentation causes the error, I don’t see any workaround to avoid it.

@Andrey_Potapov

Thank you! That is understandable.

Another client has reported a similar issue (execution fails at the same line) with a separate PPT file. Could you please confirm whether this issue is related, or at least also resolved in the newest version?

content file: sample2.zip (2.1 MB)

@kmanol,
Thank you for the sample presentation. Aspose.Slides 19.8 freezes when loading the presentation on my end, but Aspose.Slides 22.4 does not show any errors and freezes.

@Andrey_Potapov
Thank you for your quick response! Just to clarify: do you mean to say that Aspose.Slides 22.4 does not show any errors or freeze (i.e., it works as expected), or does the PPT also cause issues in the latest version?

@kmanol,
I used the code example above and found no issues with the presentation provided here using Aspose.Slides 22.4.